Skip to main content
GET
/
reps
/
{repId}
Get a rep
curl --request GET \
  --url https://api.altahq.com/v1/reps/{repId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "objectType": "rep",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "ownedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Path Parameters

repId
string<uuid>
required

The UUID of the rep.

Response

The rep object

id
string<uuid>
required

Unique identifier for the object.

objectType
enum<string>
required

The type of this object.

Available options:
rep
createdAt
string<date-time>
required

Timestamp when the object was created.

updatedAt
string<date-time>
required

Timestamp when the object was last updated.

name
string
required

The name of the rep.

ownedById
string<uuid>

The ID of the user who owns this rep.